Subject: Re: bug#8808: 23.3; compiling emacs 23.3 with xft support

From: Glenn Morris <[email-masked]>
Date: Mon, 06 Jun 2011 02:37:11 -0400

forcemerge 8497 8808
stop

Jamie Macbeth wrote:

> After ./configure with xft libs, src/Makefile has this line in it:
>
> XFT_LIBS=-lXrender -L/usr/lib/1 -linux-gnu -lXft
>
> this causes the build to fail at link time when linking with Xft.  I believe
> that XFT_LIBS is being set correctly by a line in the configure script.
>
> XFT_LIBS=`$PKG_CONFIG --libs "xft >= 0.13.0"|sed -e 's,///*,/,g'`
>
> But maybe somewhere in the toolchain this is getting mangled before it
> makes it's way into src/Makefile?  Maybe some command in the chain is
> searching and replacing anything with -l in it?
>
> I seemed to have fixed it in my sources by replacing
> "-L/usr/lib/1 -linux-gnu" with "-L/usr/lib/i386-linux-gnu"

Please see

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8520#8